soft_uart_rx_state Struct Reference

UART receive state definition. More...

## Data Fields

uint32_t | port
| UART receive port.
uint16_t | pin
| UART receive pin.
uint32_t | rcc
| UART receive port peripheral clock.
uint32_t | exti
| UART receive external interrupt.
uint32_t | irq
| UART receive interrupt request.
uint32_t | baudrate
| UART receive baud rate.
volatile uint16_t | state
| GPIO state for receive pin.
volatile uint8_t | bit
| next UART frame bit to receive
volatile uint8_t | byte
| byte being received
volatile uint8_t | buffer [UART_SOFT_BUFFER]
| receive buffer
volatile uint8_t | buffer_i
| index of current data to be read out
volatile uint8_t | buffer_used
| how much data is available
volatile bool | lock
| put lock when changing buffer_i or buffer_used
volatile uint8_t | buffer_byte
| to temporary store byte while locked
volatile bool | buffer_byte_used
| signal a byte has been stored in temporary buffer

## Detailed Description

UART receive state definition.

Definition at line 63 of file uart_soft.c.

The documentation for this struct was generated from the following file:

- lib/uart_soft.c